Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui
Class EnsembleSelectionLibraryEditor

    java.lang.Object
      weka.gui.EnsembleLibraryEditor
          weka.gui.EnsembleSelectionLibraryEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class EnsembleSelectionLibraryEditor

extends EnsembleLibraryEditor

Class for editing Ensemble Library objects. This basically does the same thing as its parent class except that it also adds two extra panels. A "loadModelsPanel" to detect model specifications from an ensemble working directory and a "defaltModelsPanel" which lets you choose sets of model specs from a few default lists. Brings up a custom editing panel with which the user can edit the library interactively, as well as save load libraries from files.

Version:
  $Revision: 1.1 $
Author:
  Robert Jung (mrbobjung@gmail.com)

Constructor Summary
`EnsembleSelectionLibraryEditor()` Constructs a new LibraryEditor.

Method Summary
`java.awt.Component` | `getCustomEditor()` Gets a GUI component with which the user can edit the cost matrix.
`boolean` | `isLoadModelsPanelSelected()` returns whether or not the LoadModelsPanel is currently selected
`void` | `setValue(java.lang.Object value)` Sets the value of the Library to be edited.

Methods inherited from class weka.gui.EnsembleLibraryEditor
`addPropertyChangeListener, createGenericObjectRenderer, getAsText, getDefaultRenderer, getEditorValue, getJavaInitializationString, getTags, getValue, isPaintable, main, paintValue, removePropertyChangeListener, setAsText, supportsCustomEditor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnsembleSelectionLibraryEditor

    public EnsembleSelectionLibraryEditor()

  Constructs a new LibraryEditor.

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Sets the value of the Library to be edited.

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `setValue` in class `EnsembleLibraryEditor`
  Parameters:
    `value` - a Library object to be edited

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Gets a GUI component with which the user can edit the cost matrix.

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `EnsembleLibraryEditor`
  Returns:
    an editor GUI component

### isLoadModelsPanelSelected

    public boolean isLoadModelsPanelSelected()

  returns whether or not the LoadModelsPanel is currently selected

  Returns:
    true if selected

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD